%define pkg_name        WWW-Mechanize-GZip
%define pkg_version     0.10
%define rpm_pkg_version 0.10
%define rpm_pkg_release 1.n0i.1

Summary:       Fetch webpages with gzip-compression
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/WWW/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(WWW::Mechanize)


%description
The WWW::Mechanize::GZip module tries to fetch a URL by requesting
gzip-compression from the webserver.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{__mv} t/pod-coverage.t t/pod-coverage.t.disabled


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Wed Sep 19 2007 Marius Feraru <altblue@n0i.net> - 0.10-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.10
